<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/dk_relative_layout_whole"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:orientation="vertical" >

    <include
        android:id="@+id/dk_layout_payment_header"
        layout="@layout/dk_payment_header" />

    <FrameLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:layout_below="@+id/dk_layout_payment_header"
        android:background="@drawable/dk_bottom_dialog_new" >

        <FrameLayout
            android:id="@+id/dk_frame_layout_progress"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent" >

            <LinearLayout
                android:id="@+id/dk_layout_progress"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="horizontal" >

                <include
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    layout="@layout/dk_common_progress" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/dk_layout_net_error"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:orientation="vertical"
                android:visibility="gone" >

                <ImageView
                    android:id="@+id/dk_iv_network_error"
                    android:layout_width="64dp"
                    android:layout_height="64dp"
                    android:src="@drawable/dk_ic_network_info" />

                <TextView
                    android:id="@+id/dk_tv_network_error"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="18dp"
                    android:text="@string/dk_tip_payment_network_error"
                    android:textColor="@color/dk_color_333333"
                    android:textSize="@dimen/text_size_16_sp" />

                <Button
                    android:id="@+id/dk_btn_payment_retry"
                    android:layout_width="320dp"
                    android:layout_height="36dp"
                    android:layout_marginTop="18dp"
                    android:background="@drawable/dk_payment_btn_pay_selector"
                    android:gravity="center"
                    android:text="@string/dk_retry"
                    android:textColor="#ffffff"
                    android:textSize="@dimen/text_size_16_sp" />
            </LinearLayout>
        </FrameLayout>

        <LinearLayout
            android:id="@+id/dk_layout_all_content"
            android:layout_width="fill_parent"
            android:layout_height="fill_parent"
            android:visibility="gone" >

            <LinearLayout
                android:layout_width="fill_parent"
                android:layout_height="fill_parent"
                android:orientation="horizontal" >

                <!-- The left region -->

                <RelativeLayout
                    android:layout_width="170dp"
                    android:layout_height="fill_parent"
                    android:layout_marginLeft="15dp"
                    android:orientation="vertical" >

                    <LinearLayout
                        android:id="@+id/dk_layout_user_account"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="15dp"
                        android:gravity="center_vertical"
                        android:orientation="vertical" >

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:gravity="center_vertical" >

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/dk_current_account"
                                android:textColor="@color/dk_color_666666"
                                android:textSize="@dimen/text_size_12_sp" />

                            <TextView
                                android:id="@+id/dk_tv_current_account"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="@color/dk_color_666666"
                                android:textSize="@dimen/text_size_12_sp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="wrap_content"
                            android:layout_height="fill_parent"
                            android:gravity="center_vertical"
                            android:visibility="gone" >

                            <TextView
                                android:id="@+id/dk_tv_balance_name"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="@string/dk_kubi_balance"
                                android:textColor="#333333"
                                android:textSize="@dimen/text_size_12_sp" />

                            <TextView
                                android:id="@+id/dk_tv_kubi_balance"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:textColor="#ff3300"
                                android:textSize="@dimen/text_size_12_sp" />
                        </LinearLayout>
                    </LinearLayout>

                    <ImageView
                        android:id="@+id/dk_image_view_divider_top"
                        android:layout_width="fill_parent"
                        android:layout_height="2px"
                        android:layout_below="@+id/dk_layout_user_account"
                        android:layout_marginTop="4dp"
                        android:background="@drawable/dk_divider"
                        android:visibility="gone" />

                    <!-- The product infomation region -->

                    <ScrollView
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:layout_above="@+id/dk_layout_baidu_logo"
                        android:layout_below="@+id/dk_image_view_divider_top"
                        android:fadeScrollbars="false"
                        android:scrollbarStyle="insideOverlay"
                        android:scrollbarThumbVertical="@drawable/dk_scrollbar_gray" >

                        <LinearLayout
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_above="@+id/dk_layout_baidu_logo"
                            android:layout_below="@+id/dk_image_view_divider_top"
                            android:layout_marginTop="10dp"
                            android:orientation="vertical" >

                            <LinearLayout
                                android:id="@+id/dk_layout_current_account"
                                android:layout_width="fill_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical" >

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal" >

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/dk_merchandise_name"
                                        android:textColor="@color/dk_color_666666"
                                        android:textSize="@dimen/text_size_12_sp" />

                                    <TextView
                                        android:id="@+id/dk_tv_merchandise_name"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:textColor="@color/dk_color_666666"
                                        android:textSize="@dimen/text_size_12_sp" />
                                </LinearLayout>

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="15dp"
                                    android:orientation="horizontal" >

                                    <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/dk_money_payable"
                                        android:textColor="@color/dk_message_button_color_normal"
                                        android:textSize="@dimen/text_size_16_sp" />

                                    <TextView
                                        android:id="@+id/dk_tv_merchandise_money"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:textColor="@color/dk_message_button_color_normal"
                                        android:textSize="@dimen/text_size_16_sp" />
                                </LinearLayout>
                            </LinearLayout>
                        </LinearLayout>
                    </ScrollView>
                    <!-- The product infomation region end -->


                    <!-- The bottom logo region -->

                    <LinearLayout
                        android:id="@+id/dk_layout_baidu_logo"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_alignParentBottom="true"
                        android:layout_marginBottom="15dp"
                        android:layout_marginRight="15dp"
                        android:gravity="center"
                        android:visibility="invisible"
                        android:orientation="vertical" >

                        <ImageView
                            android:id="@+id/dk_image_view_divider_bottom"
                            android:layout_width="fill_parent"
                            android:layout_height="2px"
                            android:background="@drawable/dk_divider"
                            android:visibility="gone" />

                        <ImageView
                            android:layout_width="66dp"
                            android:layout_height="22dp"
                            android:layout_marginTop="4dp"
                            android:background="@drawable/dk_logo_baidu"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_customer_number"
                            android:layout_width="fill_parent"
                            android:layout_height="fill_parent"
                            android:layout_gravity="center_horizontal"
                            android:layout_marginTop="4dp"
                            android:gravity="center_horizontal|center_vertical"
                            android:text="@string/dk_customer_service_number"
                            android:textColor="@color/dk_color_bbbbbb"
                            android:textSize="@dimen/text_size_10_sp" />
                    </LinearLayout>
                    <!-- The bottom logo region end -->
                </RelativeLayout>
                <!-- The left region end -->

                <ImageView
                    android:layout_width="2dp"
                    android:layout_height="match_parent"
                    android:background="@drawable/dk_paycenter_porit_line"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"/>

                <!-- The right region -->

                <ScrollView
                    android:id="@+id/dk_scroll_view_mode"
                    android:layout_width="fill_parent"
                    android:layout_height="fill_parent"
                    android:fadeScrollbars="false"
                    android:fillViewport="true"
                    android:scrollbarStyle="insideOverlay"
                    android:scrollbarThumbVertical="@drawable/dk_scrollbar_gray"
                    android:scrollbars="none" >

                    <LinearLayout
                        android:id="@+id/dk_layout_payment_mode"
                        android:layout_width="fill_parent"
                        android:layout_height="fill_parent"
                        android:orientation="vertical"
                        android:paddingTop="8dp" >
                    </LinearLayout>
                </ScrollView>
                <!-- The right region end -->
            </LinearLayout>
        </LinearLayout>
    </FrameLayout>

    <LinearLayout
        android:layout_width="fill_parent"
        android:layout_height="8dp"
         android:visibility="gone"
        android:layout_below="@+id/dk_layout_payment_header"
        android:background="@drawable/dk_shadow_file" >
    </LinearLayout>

</RelativeLayout>